BUnzip2 (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.BUnzip2 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class BUnzip2

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Unpack
                  org.apache.tools.ant.taskdefs.BUnzip2

public class BUnzip2
extends Unpack

Expands a file that has been compressed with the BZIP2 algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.5
Author:
  Magesh Umasankar

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Unpack
`dest, source`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BUnzip2()`

Method Summary
`protected void` | `extract()`
`protected java.lang.String` | `getDefaultExtension()`

Methods inherited from class org.apache.tools.ant.taskdefs.Unpack
`execute, setDest, setDest, setSrc, setSrc`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BUnzip2

    public BUnzip2()

Method Detail

### getDefaultExtension

    protected java.lang.String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in class `Unpack`

### extract

    protected void extract()

  Specified by:
    `extract` in class `Unpack`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.